import { Component } from '@angular/core';
import { BsCalendarMonthService } from '../../services/calendar-month/calendar-month.service';
import * as i0 from "@angular/core";
import * as i1 from "../../services/calendar-month/calendar-month.service";
import * as i2 from "@angular/common";
import * as i3 from "../../pipes/uc-first/uc-first.pipe";
import * as i4 from "../../pipes/month-name/month-name.pipe";
export class BsCalendarComponent {
    constructor(calendarMonthService) {
        this.calendarMonthService = calendarMonthService;
        this.daysOfWeek = ['Mo', 'Tu', 'We', 'Th', 'Fr', 'Sa', 'Su'];
        //#region SelectedDate
        this.selectedDate = new Date();
        //#endregion
        //#region Weeks
        this._weeks = [];
    }
    ngOnInit() {
        this.month = new Date();
    }
    get month() {
        return this._month;
    }
    set month(value) {
        this._month = value;
        this.weeks = this.calendarMonthService.getWeeks(this.month);
    }
    get weeks() {
        return this._weeks;
    }
    set weeks(value) {
        this._weeks = value;
        if (this._weeks.length > 1) {
            this.daysOfWeek = this._weeks[1].week.map(d => {
                let date = new Date(this.month.getFullYear(), this.month.getMonth(), d === null || d === void 0 ? void 0 : d.dayOfMonth);
                return date.toLocaleString("default", { weekday: 'short' });
            });
        }
    }
    //#endregion
    previousMonth() {
        this.month = new Date(this.month.getFullYear(), this.month.getMonth() - 1, 1);
        return false;
    }
    nextMonth() {
        this.month = new Date(this.month.getFullYear(), this.month.getMonth() + 1, 1);
        return false;
    }
    isSameDate(date1, date2) {
        return (date1.getFullYear() === date2.getFullYear())
            && (date1.getMonth() === date2.getMonth())
            && (date1.getDate() === date2.getDate());
    }
}
BsCalendarComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsCalendarComponent, deps: [{ token: i1.BsCalendarMonthService }], target: i0.ɵɵFactoryTarget.Component });
BsCalendarComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.2.0", type: BsCalendarComponent, selector: "bs-calendar", ngImport: i0, template: "<table class=\"table w-auto\">\n    <tr>\n        <td>\n            <button class=\"btn btn-default\" (click)=\"previousMonth()\">\n                <i class=\"bi bi-chevron-left fw-bolder\"></i>\n            </button>\n        </td>\n        <td colspan=\"6\" class=\"fw-bolder\">\n            {{ month | monthName | ucFirst }}\n            {{ month.getFullYear() }}\n        </td>\n        <td>\n            <button class=\"btn btn-default border-bottom-0\" (click)=\"nextMonth()\">\n                <i class=\"bi bi-chevron-right fw-bolder\"></i>\n            </button>\n        </td>\n    </tr>\n    <tr>\n        <th></th>\n        <th *ngFor=\"let dayOfWeek of daysOfWeek\">\n            {{ dayOfWeek }}\n        </th>\n    </tr>\n    <tr *ngFor=\"let week of weeks\">\n        <th>\n            {{ week.number }}\n        </th>\n        <td [class.selected]=\"day === null ? false : isSameDate(selectedDate, day.date)\" *ngFor=\"let day of week.week\" (click)=\"day && selectedDate = day.date\">\n            <span *ngIf=\"day !== null\">{{ day.dayOfMonth }}</span>\n        </td>\n    </tr>\n</table>", styles: ["table{border-collapse:collapse;border:1px solid rgba(0,0,0,.125)}table td,table th{width:40px;height:40px;text-align:center}table td span,table th span{cursor:pointer;white-space:nowrap}table td.selected{background-color:#0d6efd;color:#fff}table th{background-color:#f8f9fa}table tr:first-child>td{border-bottom:1px solid rgba(0,0,0,.125)}table tr:nth-of-type(2)>th:not(:nth-of-type(1)){border-bottom:1px solid rgba(0,0,0,.125)}table tr:not(:nth-of-type(2))>th:nth-of-type(1){border-right:1px solid rgba(0,0,0,.125)}\n"], directives: [{ type: i2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }], pipes: { "ucFirst": i3.UcFirstPipe, "monthName": i4.MonthNamePipe } });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsCalendarComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'bs-calendar',
                    templateUrl: './calendar.component.html',
                    styleUrls: ['./calendar.component.scss']
                }]
        }], ctorParameters: function () { return [{ type: i1.BsCalendarMonthService }]; } });
//# sourceMappingURL=calendar.component.js.map