import { Injectable } from '@angular/core';
import * as i0 from "@angular/core";
export class BsCalendarMonthService {
    constructor() {
    }
    getWeeks(month) {
        let firstAndLast = this.getFirstAndLastDayOfMonth(month);
        let days = this.dateDiff(firstAndLast.first, firstAndLast.last) + 1;
        let allDays = [
            ...this.generateList(this.dayOfWeekMondayBased(firstAndLast.first)).map(d => null),
            ...this.generateList(days).map(d => {
                return {
                    date: new Date(firstAndLast.first.getFullYear(), firstAndLast.first.getMonth(), firstAndLast.first.getDate() + d),
                    dayOfMonth: d + 1,
                };
            }),
            ...this.generateList(6 - this.dayOfWeekMondayBased(firstAndLast.last)).map(d => null),
        ];
        let weeks = this.chunk(allDays, 7);
        let weeksMapped = weeks.map((w, i) => {
            var _a;
            return {
                number: this.weekOfYear(new Date(month.getFullYear(), month.getMonth(), (_a = w.find(d => d !== null)) === null || _a === void 0 ? void 0 : _a.dayOfMonth)),
                week: w
            };
        });
        return weeksMapped;
    }
    generateList(count) {
        return [...Array(count).keys()];
    }
    dayOfWeekMondayBased(date) {
        let d = date.getDay() - 1;
        if (d < 0) {
            return 6;
        }
        else {
            return d;
        }
    }
    weekOfYear(date) {
        let dateClone = new Date(Date.UTC(date.getFullYear(), date.getMonth(), date.getDate()));
        dateClone.setUTCDate(dateClone.getUTCDate() + 4 - (dateClone.getUTCDay() || 7));
        let yearStart = new Date(Date.UTC(dateClone.getUTCFullYear(), 0, 1));
        let utcDiff = this.toUTC(dateClone) - this.toUTC(yearStart);
        return Math.ceil((utcDiff / (1000 * 60 * 60 * 24) + 1) / 7);
    }
    getFirstAndLastDayOfMonth(date) {
        return {
            first: new Date(date.getFullYear(), date.getMonth(), 1),
            last: new Date(date.getFullYear(), date.getMonth() + 1, 0)
        };
    }
    dateDiff(date1, date2) {
        const utc1 = this.toUTC(date1);
        const utc2 = this.toUTC(date2);
        const msPerDay = 1000 * 60 * 60 * 24;
        return Math.floor((utc2 - utc1) / msPerDay);
    }
    dayOfYear(date) {
        const start = new Date(date.getFullYear(), 0, 0);
        return this.dateDiff(start, date);
    }
    toUTC(date) {
        return Date.UTC(date.getFullYear(), date.getMonth(), date.getDate());
    }
    chunk(items, size) {
        let result = [];
        for (let i = 0; i < items.length; i += size) {
            result.push(items.slice(i, i + size));
        }
        return result;
    }
}
BsCalendarMonthService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsCalendarMonthService, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
BsCalendarMonthService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsCalendarMonthService, providedIn: 'root' });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsCalendarMonthService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: function () { return []; } });
//# sourceMappingURL=calendar-month.service.js.map