import * as i0 from '@angular/core';
import { Component, Input, NgModule, Injectable, Pipe, ContentChildren, TemplateRef, ContentChild } from '@angular/core';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import { SlideUpDownAnimation } from '@mintplayer/ng-animations';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';

var Color;
(function (Color) {
    Color[Color["primary"] = 0] = "primary";
    Color[Color["secondary"] = 1] = "secondary";
    Color[Color["success"] = 2] = "success";
    Color[Color["danger"] = 3] = "danger";
    Color[Color["warning"] = 4] = "warning";
    Color[Color["info"] = 5] = "info";
    Color[Color["light"] = 6] = "light";
    Color[Color["dark"] = 7] = "dark";
    Color[Color["body"] = 8] = "body";
    Color[Color["white"] = 9] = "white";
    Color[Color["transparent"] = 10] = "transparent";
})(Color || (Color = {}));

class BsAlertComponent {
    constructor() {
        this.type = Color.primary;
        this.colors = Color;
    }
    ngOnInit() {
    }
}
BsAlertComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsAlertComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsAlertComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.2.0", type: BsAlertComponent, selector: "bs-alert", inputs: { type: "type" }, ngImport: i0, template: "<div class=\"alert\" [ngClass]=\"'alert-' + colors[type]\">\n    <ng-content></ng-content>\n</div>", styles: [""], directives: [{ type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsAlertComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'bs-alert',
                    templateUrl: './alert.component.html',
                    styleUrls: ['./alert.component.scss']
                }]
        }], ctorParameters: function () { return []; }, propDecorators: { type: [{
                type: Input
            }] } });

class BsAlertCloseComponent {
    constructor() {
    }
    ngOnInit() {
    }
}
BsAlertCloseComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsAlertCloseComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsAlertCloseComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.2.0", type: BsAlertCloseComponent, selector: "bs-alert-close", ngImport: i0, template: "<button class=\"btn float-end\">\n    <span class=\"text-dark\">\u00D7</span>\n</button>", styles: ["button{top:0;right:0;border:0;position:absolute;padding:.75rem 1.25rem!important;background:transparent}\n"] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsAlertCloseComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'bs-alert-close',
                    templateUrl: './alert-close.component.html',
                    styleUrls: ['./alert-close.component.scss']
                }]
        }], ctorParameters: function () { return []; } });

class BsAlertModule {
}
BsAlertModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsAlertModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsAlertModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsAlertModule, declarations: [BsAlertComponent,
        BsAlertCloseComponent], imports: [CommonModule], exports: [BsAlertComponent,
        BsAlertCloseComponent] });
BsAlertModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsAlertModule, imports: [[CommonModule]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsAlertModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule],
                    declarations: [
                        BsAlertComponent,
                        BsAlertCloseComponent
                    ],
                    exports: [
                        BsAlertComponent,
                        BsAlertCloseComponent
                    ]
                }]
        }] });

class BsCardComponent {
    constructor() {
    }
    ngOnInit() {
    }
    ngAfterViewInit() {
        // console.log('header', this.header);
    }
}
BsCardComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsCardComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsCardComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.2.0", type: BsCardComponent, selector: "bs-card", ngImport: i0, template: "<div class=\"card\" style=\"width: 18rem;\">\n    <ng-content select=\"bs-card-header\"></ng-content>\n    <div class=\"card-block\">\n        <ng-content></ng-content>\n    </div>\n</div>", styles: [".card-block{margin:-1px}\n"] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsCardComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'bs-card',
                    templateUrl: './card.component.html',
                    styleUrls: ['./card.component.scss']
                }]
        }], ctorParameters: function () { return []; } });

class BsCardHeaderComponent {
    constructor() {
    }
    ngOnInit() {
    }
}
BsCardHeaderComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsCardHeaderComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsCardHeaderComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.2.0", type: BsCardHeaderComponent, selector: "bs-card-header", ngImport: i0, template: "<div class=\"card-header\">\n    <ng-content></ng-content>\n</div>", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsCardHeaderComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'bs-card-header',
                    templateUrl: './card-header.component.html',
                    styleUrls: ['./card-header.component.scss']
                }]
        }], ctorParameters: function () { return []; } });

class BsCardModule {
}
BsCardModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsCardModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsCardModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsCardModule, declarations: [BsCardComponent,
        BsCardHeaderComponent], imports: [CommonModule], exports: [BsCardComponent,
        BsCardHeaderComponent] });
BsCardModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsCardModule, imports: [[CommonModule]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsCardModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule],
                    declarations: [
                        BsCardComponent,
                        BsCardHeaderComponent
                    ],
                    exports: [
                        BsCardComponent,
                        BsCardHeaderComponent
                    ]
                }]
        }] });

class BsCalendarMonthService {
    constructor() {
    }
    getWeeks(month) {
        let firstAndLast = this.getFirstAndLastDayOfMonth(month);
        let days = this.dateDiff(firstAndLast.first, firstAndLast.last) + 1;
        let allDays = [
            ...this.generateList(this.dayOfWeekMondayBased(firstAndLast.first)).map(d => null),
            ...this.generateList(days).map(d => {
                return {
                    date: new Date(firstAndLast.first.getFullYear(), firstAndLast.first.getMonth(), firstAndLast.first.getDate() + d),
                    dayOfMonth: d + 1,
                };
            }),
            ...this.generateList(6 - this.dayOfWeekMondayBased(firstAndLast.last)).map(d => null),
        ];
        let weeks = this.chunk(allDays, 7);
        let weeksMapped = weeks.map((w, i) => {
            var _a;
            return {
                number: this.weekOfYear(new Date(month.getFullYear(), month.getMonth(), (_a = w.find(d => d !== null)) === null || _a === void 0 ? void 0 : _a.dayOfMonth)),
                week: w
            };
        });
        return weeksMapped;
    }
    generateList(count) {
        return [...Array(count).keys()];
    }
    dayOfWeekMondayBased(date) {
        let d = date.getDay() - 1;
        if (d < 0) {
            return 6;
        }
        else {
            return d;
        }
    }
    weekOfYear(date) {
        let dateClone = new Date(Date.UTC(date.getFullYear(), date.getMonth(), date.getDate()));
        dateClone.setUTCDate(dateClone.getUTCDate() + 4 - (dateClone.getUTCDay() || 7));
        let yearStart = new Date(Date.UTC(dateClone.getUTCFullYear(), 0, 1));
        let utcDiff = this.toUTC(dateClone) - this.toUTC(yearStart);
        return Math.ceil((utcDiff / (1000 * 60 * 60 * 24) + 1) / 7);
    }
    getFirstAndLastDayOfMonth(date) {
        return {
            first: new Date(date.getFullYear(), date.getMonth(), 1),
            last: new Date(date.getFullYear(), date.getMonth() + 1, 0)
        };
    }
    dateDiff(date1, date2) {
        const utc1 = this.toUTC(date1);
        const utc2 = this.toUTC(date2);
        const msPerDay = 1000 * 60 * 60 * 24;
        return Math.floor((utc2 - utc1) / msPerDay);
    }
    dayOfYear(date) {
        const start = new Date(date.getFullYear(), 0, 0);
        return this.dateDiff(start, date);
    }
    toUTC(date) {
        return Date.UTC(date.getFullYear(), date.getMonth(), date.getDate());
    }
    chunk(items, size) {
        let result = [];
        for (let i = 0; i < items.length; i += size) {
            result.push(items.slice(i, i + size));
        }
        return result;
    }
}
BsCalendarMonthService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsCalendarMonthService, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
BsCalendarMonthService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsCalendarMonthService, providedIn: 'root' });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsCalendarMonthService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: function () { return []; } });

class UcFirstPipe {
    transform(value, ...args) {
        return value[0].toUpperCase() + value.slice(1);
    }
}
UcFirstPipe.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: UcFirstPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe });
UcFirstPipe.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: UcFirstPipe, name: "ucFirst" });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: UcFirstPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'ucFirst'
                }]
        }] });

class MonthNamePipe {
    transform(date, ...args) {
        return date.toLocaleString("default", { month: 'long' });
    }
}
MonthNamePipe.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: MonthNamePipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe });
MonthNamePipe.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: MonthNamePipe, name: "monthName" });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: MonthNamePipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'monthName'
                }]
        }] });

class BsCalendarComponent {
    constructor(calendarMonthService) {
        this.calendarMonthService = calendarMonthService;
        this.daysOfWeek = ['Mo', 'Tu', 'We', 'Th', 'Fr', 'Sa', 'Su'];
        //#region SelectedDate
        this.selectedDate = new Date();
        //#endregion
        //#region Weeks
        this._weeks = [];
    }
    ngOnInit() {
        this.month = new Date();
    }
    get month() {
        return this._month;
    }
    set month(value) {
        this._month = value;
        this.weeks = this.calendarMonthService.getWeeks(this.month);
    }
    get weeks() {
        return this._weeks;
    }
    set weeks(value) {
        this._weeks = value;
        if (this._weeks.length > 1) {
            this.daysOfWeek = this._weeks[1].week.map(d => {
                let date = new Date(this.month.getFullYear(), this.month.getMonth(), d === null || d === void 0 ? void 0 : d.dayOfMonth);
                return date.toLocaleString("default", { weekday: 'short' });
            });
        }
    }
    //#endregion
    previousMonth() {
        this.month = new Date(this.month.getFullYear(), this.month.getMonth() - 1, 1);
        return false;
    }
    nextMonth() {
        this.month = new Date(this.month.getFullYear(), this.month.getMonth() + 1, 1);
        return false;
    }
    isSameDate(date1, date2) {
        return (date1.getFullYear() === date2.getFullYear())
            && (date1.getMonth() === date2.getMonth())
            && (date1.getDate() === date2.getDate());
    }
}
BsCalendarComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsCalendarComponent, deps: [{ token: BsCalendarMonthService }], target: i0.ɵɵFactoryTarget.Component });
BsCalendarComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.2.0", type: BsCalendarComponent, selector: "bs-calendar", ngImport: i0, template: "<table class=\"table w-auto\">\n    <tr>\n        <td>\n            <button class=\"btn btn-default\" (click)=\"previousMonth()\">\n                <i class=\"bi bi-chevron-left fw-bolder\"></i>\n            </button>\n        </td>\n        <td colspan=\"6\" class=\"fw-bolder\">\n            {{ month | monthName | ucFirst }}\n            {{ month.getFullYear() }}\n        </td>\n        <td>\n            <button class=\"btn btn-default border-bottom-0\" (click)=\"nextMonth()\">\n                <i class=\"bi bi-chevron-right fw-bolder\"></i>\n            </button>\n        </td>\n    </tr>\n    <tr>\n        <th></th>\n        <th *ngFor=\"let dayOfWeek of daysOfWeek\">\n            {{ dayOfWeek }}\n        </th>\n    </tr>\n    <tr *ngFor=\"let week of weeks\">\n        <th>\n            {{ week.number }}\n        </th>\n        <td [class.selected]=\"day === null ? false : isSameDate(selectedDate, day.date)\" *ngFor=\"let day of week.week\" (click)=\"day && selectedDate = day.date\">\n            <span *ngIf=\"day !== null\">{{ day.dayOfMonth }}</span>\n        </td>\n    </tr>\n</table>", styles: ["table{border-collapse:collapse;border:1px solid rgba(0,0,0,.125)}table td,table th{width:40px;height:40px;text-align:center}table td span,table th span{cursor:pointer;white-space:nowrap}table td.selected{background-color:#0d6efd;color:#fff}table th{background-color:#f8f9fa}table tr:first-child>td{border-bottom:1px solid rgba(0,0,0,.125)}table tr:nth-of-type(2)>th:not(:nth-of-type(1)){border-bottom:1px solid rgba(0,0,0,.125)}table tr:not(:nth-of-type(2))>th:nth-of-type(1){border-right:1px solid rgba(0,0,0,.125)}\n"], directives: [{ type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }], pipes: { "ucFirst": UcFirstPipe, "monthName": MonthNamePipe } });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsCalendarComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'bs-calendar',
                    templateUrl: './calendar.component.html',
                    styleUrls: ['./calendar.component.scss']
                }]
        }], ctorParameters: function () { return [{ type: BsCalendarMonthService }]; } });

class BsMonthNamePipeModule {
}
BsMonthNamePipeModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsMonthNamePipeModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsMonthNamePipeModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsMonthNamePipeModule, declarations: [MonthNamePipe], imports: [CommonModule], exports: [MonthNamePipe] });
BsMonthNamePipeModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsMonthNamePipeModule, imports: [[
            CommonModule
        ]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsMonthNamePipeModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        MonthNamePipe
                    ],
                    imports: [
                        CommonModule
                    ],
                    exports: [
                        MonthNamePipe
                    ]
                }]
        }] });

class BsUcFirstPipeModule {
}
BsUcFirstPipeModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsUcFirstPipeModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsUcFirstPipeModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsUcFirstPipeModule, declarations: [UcFirstPipe], imports: [CommonModule], exports: [UcFirstPipe] });
BsUcFirstPipeModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsUcFirstPipeModule, imports: [[
            CommonModule
        ]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsUcFirstPipeModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        UcFirstPipe
                    ],
                    imports: [
                        CommonModule
                    ],
                    exports: [
                        UcFirstPipe
                    ]
                }]
        }] });

class WeekdayNamePipe {
    transform(date, ...args) {
        return date.toLocaleString("default", { weekday: 'short' });
    }
}
WeekdayNamePipe.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: WeekdayNamePipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe });
WeekdayNamePipe.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: WeekdayNamePipe, name: "weekdayName" });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: WeekdayNamePipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'weekdayName'
                }]
        }] });

class BsWeekdayNameModule {
}
BsWeekdayNameModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsWeekdayNameModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsWeekdayNameModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsWeekdayNameModule, declarations: [WeekdayNamePipe], imports: [CommonModule], exports: [WeekdayNamePipe] });
BsWeekdayNameModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsWeekdayNameModule, imports: [[
            CommonModule
        ]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsWeekdayNameModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        WeekdayNamePipe
                    ],
                    imports: [
                        CommonModule
                    ],
                    exports: [
                        WeekdayNamePipe
                    ]
                }]
        }] });

class BsCalendarModule {
}
BsCalendarModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsCalendarModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsCalendarModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsCalendarModule, declarations: [BsCalendarComponent], imports: [CommonModule,
        BsUcFirstPipeModule,
        BsMonthNamePipeModule,
        BsWeekdayNameModule], exports: [BsCalendarComponent] });
BsCalendarModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsCalendarModule, imports: [[
            CommonModule,
            BsUcFirstPipeModule,
            BsMonthNamePipeModule,
            BsWeekdayNameModule
        ]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsCalendarModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        BsCalendarComponent
                    ],
                    imports: [
                        CommonModule,
                        BsUcFirstPipeModule,
                        BsMonthNamePipeModule,
                        BsWeekdayNameModule
                    ],
                    exports: [
                        BsCalendarComponent
                    ]
                }]
        }] });

class BsListGroupItemComponent {
    constructor() {
    }
    ngOnInit() {
    }
}
BsListGroupItemComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsListGroupItemComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsListGroupItemComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.2.0", type: BsListGroupItemComponent, selector: "bs-list-group-item", ngImport: i0, template: "<li class=\"list-group-item\">\n    <ng-content></ng-content>\n</li>", styles: [".list-group-item{margin-bottom:-1px}\n"] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsListGroupItemComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'bs-list-group-item',
                    templateUrl: './list-group-item.component.html',
                    styleUrls: ['./list-group-item.component.scss']
                }]
        }], ctorParameters: function () { return []; } });

class BsListGroupComponent {
    constructor() {
    }
    ngOnInit() {
    }
}
BsListGroupComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsListGroupComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsListGroupComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.2.0", type: BsListGroupComponent, selector: "bs-list-group", queries: [{ propertyName: "items", predicate: BsListGroupItemComponent }], ngImport: i0, template: "<ul class=\"list-group mt-0\">\n    <ng-content></ng-content>\n</ul>", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsListGroupComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'bs-list-group',
                    templateUrl: './list-group.component.html',
                    styleUrls: ['./list-group.component.scss']
                }]
        }], ctorParameters: function () { return []; }, propDecorators: { items: [{
                type: ContentChildren,
                args: [BsListGroupItemComponent]
            }] } });

class BsListGroupModule {
}
BsListGroupModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsListGroupModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsListGroupModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsListGroupModule, declarations: [BsListGroupComponent,
        BsListGroupItemComponent], imports: [CommonModule], exports: [BsListGroupComponent,
        BsListGroupItemComponent] });
BsListGroupModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsListGroupModule, imports: [[CommonModule]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsListGroupModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule],
                    declarations: [
                        BsListGroupComponent,
                        BsListGroupItemComponent
                    ],
                    exports: [
                        BsListGroupComponent,
                        BsListGroupItemComponent
                    ]
                }]
        }] });

class BsNavbarComponent {
    constructor() {
        this.isExpanded = false;
    }
    ngOnInit() {
    }
}
BsNavbarComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsNavbarComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsNavbarComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.2.0", type: BsNavbarComponent, selector: "bs-navbar", ngImport: i0, template: "<nav class=\"navbar navbar-expand-md position-fixed navbar-dark bg-dark\">\n    <div class=\"container-fluid\">\n        <!-- <div class=\"w-100\"> -->\n            <a class=\"navbar-brand mx-auto\" href=\"#\">Navbar 2</a>\n            <button (click)=\"isExpanded = !isExpanded\" class=\"navbar-toggler align-self-end\" type=\"button\" data-toggle=\"collapse\">\n                <span class=\"navbar-toggler-icon\"></span>\n            </button>\n        <!-- </div> -->\n        <div class=\"navbar-collapse collapse w-100 show\" [@slideUpDown]=\"isExpanded ? 'down' : 'up'\">\n            <ul class=\"navbar-nav mr-auto\">\n                <li class=\"nav-item active\">\n                    <a class=\"nav-link\" href=\"#\">Left</a>\n                </li>\n                <li class=\"nav-item\">\n                    <a class=\"nav-link\" href=\"//codeply.com\">Codeply</a>\n                </li>\n                <li class=\"nav-item\">\n                    <a class=\"nav-link\" href=\"#\">Link</a>\n                </li>\n                <li class=\"nav-item\">\n                    <a class=\"nav-link\" href=\"#\">Link</a>\n                </li>\n                <li class=\"nav-item\">\n                    <a class=\"nav-link\" href=\"#\">Link</a>\n                </li>\n            </ul>\n        </div>\n        <div class=\"navbar-collapse collapse justify-content-end w-100 show\" [@slideUpDown]=\"isExpanded ? 'down' : 'up'\">\n            <ul class=\"navbar-nav ml-auto\">\n                <li class=\"nav-item\">\n                    <a class=\"nav-link\" href=\"#\">Right</a>\n                </li>\n                <li class=\"nav-item\">\n                    <a class=\"nav-link\" href=\"#\">Link</a>\n                </li>\n            </ul>\n        </div>\n    </div>\n</nav>", styles: [":host ::ng-deep+*{padding-top:56px}nav{left:0;top:0;right:0;z-index:1}\n"], animations: [SlideUpDownAnimation] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsNavbarComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'bs-navbar',
                    templateUrl: './navbar.component.html',
                    styleUrls: ['./navbar.component.scss'],
                    animations: [SlideUpDownAnimation]
                }]
        }], ctorParameters: function () { return []; } });

class BsNavbarNavComponent {
    constructor() { }
    ngOnInit() {
    }
}
BsNavbarNavComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsNavbarNavComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsNavbarNavComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.2.0", type: BsNavbarNavComponent, selector: "bs-navbar-nav", ngImport: i0, template: "<p>navbar-nav works!</p>\n", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsNavbarNavComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'bs-navbar-nav',
                    templateUrl: './navbar-nav.component.html',
                    styleUrls: ['./navbar-nav.component.scss']
                }]
        }], ctorParameters: function () { return []; } });

class BsNavbarDropdownComponent {
    constructor() { }
    ngOnInit() {
    }
}
BsNavbarDropdownComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsNavbarDropdownComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsNavbarDropdownComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.2.0", type: BsNavbarDropdownComponent, selector: "bs-navbar-dropdown", ngImport: i0, template: "<p>navbar-dropdown works!</p>\n", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsNavbarDropdownComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'bs-navbar-dropdown',
                    templateUrl: './navbar-dropdown.component.html',
                    styleUrls: ['./navbar-dropdown.component.scss']
                }]
        }], ctorParameters: function () { return []; } });

class BsNavbarItemComponent {
    constructor() { }
    ngOnInit() {
    }
}
BsNavbarItemComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsNavbarItemComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsNavbarItemComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.2.0", type: BsNavbarItemComponent, selector: "bs-navbar-item", ngImport: i0, template: "<p>navbar-item works!</p>\n", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsNavbarItemComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'bs-navbar-item',
                    templateUrl: './navbar-item.component.html',
                    styleUrls: ['./navbar-item.component.scss']
                }]
        }], ctorParameters: function () { return []; } });

class BsNavbarModule {
}
BsNavbarModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsNavbarModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsNavbarModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsNavbarModule, declarations: [BsNavbarComponent,
        BsNavbarNavComponent,
        BsNavbarDropdownComponent,
        BsNavbarItemComponent], imports: [CommonModule], exports: [BsNavbarComponent,
        BsNavbarNavComponent,
        BsNavbarDropdownComponent,
        BsNavbarItemComponent] });
BsNavbarModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsNavbarModule, imports: [[
            CommonModule
        ]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsNavbarModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        BsNavbarComponent,
                        BsNavbarNavComponent,
                        BsNavbarDropdownComponent,
                        BsNavbarItemComponent
                    ],
                    imports: [
                        CommonModule
                    ],
                    exports: [
                        BsNavbarComponent,
                        BsNavbarNavComponent,
                        BsNavbarDropdownComponent,
                        BsNavbarItemComponent
                    ]
                }]
        }] });

class BsAccordionTabComponent {
    constructor(accordion) {
        this.accordion = accordion;
    }
    ngOnInit() {
    }
    headerClicked(event) {
        if (this.accordion.activeTab === this) {
            this.accordion.activeTab = null;
        }
        else {
            this.accordion.activeTab = this;
        }
    }
}
BsAccordionTabComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsAccordionTabComponent, deps: [{ token: BsAccordionComponent }], target: i0.ɵɵFactoryTarget.Component });
BsAccordionTabComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.2.0", type: BsAccordionTabComponent, selector: "bs-accordion-tab", ngImport: i0, template: "<div class=\"card\">\n    <ng-content select=\"bs-accordion-tab-header\"></ng-content>\n    <div class=\"card-block overflow-hidden\" [@slideUpDown]=\"(accordion.activeTab === this) ? 'down' : 'up'\">\n        <ng-content></ng-content>\n    </div>\n</div>", styles: [".card,.card-header,.card-block{border-radius:0}.card{margin-bottom:-1px}\n"], animations: [SlideUpDownAnimation] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsAccordionTabComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'bs-accordion-tab',
                    templateUrl: './accordion-tab.component.html',
                    styleUrls: ['./accordion-tab.component.scss'],
                    animations: [SlideUpDownAnimation]
                }]
        }], ctorParameters: function () { return [{ type: BsAccordionComponent }]; } });

class BsAccordionComponent {
    constructor() {
        this.activeTab = null;
    }
    ngOnInit() {
    }
}
BsAccordionComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsAccordionComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsAccordionComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.2.0", type: BsAccordionComponent, selector: "bs-accordion", queries: [{ propertyName: "tabPages", predicate: BsAccordionTabComponent }], ngImport: i0, template: "<ng-content></ng-content>", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsAccordionComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'bs-accordion',
                    templateUrl: './accordion.component.html',
                    styleUrls: ['./accordion.component.scss']
                }]
        }], ctorParameters: function () { return []; }, propDecorators: { tabPages: [{
                type: ContentChildren,
                args: [BsAccordionTabComponent]
            }] } });

class BsAccordionTabHeaderComponent {
    constructor(accordionTab, accordion) {
        this.accordionTab = accordionTab;
        this.accordion = accordion;
    }
    ngOnInit() {
    }
    headerClicked(event) {
        if (this.accordion.activeTab === this.accordionTab) {
            this.accordion.activeTab = null;
        }
        else {
            this.accordion.activeTab = this.accordionTab;
        }
    }
}
BsAccordionTabHeaderComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsAccordionTabHeaderComponent, deps: [{ token: BsAccordionTabComponent }, { token: BsAccordionComponent }], target: i0.ɵɵFactoryTarget.Component });
BsAccordionTabHeaderComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.2.0", type: BsAccordionTabHeaderComponent, selector: "bs-accordion-tab-header", ngImport: i0, template: "<div class=\"card-header cursor-pointer\" (click)=\"headerClicked($event)\">\n    <ng-content></ng-content>\n</div>", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsAccordionTabHeaderComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'bs-accordion-tab-header',
                    templateUrl: './accordion-tab-header.component.html',
                    styleUrls: ['./accordion-tab-header.component.scss']
                }]
        }], ctorParameters: function () { return [{ type: BsAccordionTabComponent }, { type: BsAccordionComponent }]; } });

class BsAccordionModule {
}
BsAccordionModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsAccordionModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsAccordionModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsAccordionModule, declarations: [BsAccordionComponent,
        BsAccordionTabComponent,
        BsAccordionTabHeaderComponent], imports: [CommonModule,
        BrowserAnimationsModule], exports: [BsAccordionComponent,
        BsAccordionTabComponent,
        BsAccordionTabHeaderComponent] });
BsAccordionModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsAccordionModule, imports: [[
            CommonModule,
            BrowserAnimationsModule
        ]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsAccordionModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        BsAccordionComponent,
                        BsAccordionTabComponent,
                        BsAccordionTabHeaderComponent
                    ],
                    imports: [
                        CommonModule,
                        BrowserAnimationsModule
                    ],
                    exports: [
                        BsAccordionComponent,
                        BsAccordionTabComponent,
                        BsAccordionTabHeaderComponent
                    ]
                }]
        }] });

class BsTabPageComponent {
    constructor(tabControl) {
        this.disabled = false;
        this.tabControl = tabControl;
    }
    ngOnInit() {
    }
}
BsTabPageComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsTabPageComponent, deps: [{ token: BsTabControlComponent }], target: i0.ɵɵFactoryTarget.Component });
BsTabPageComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.2.0", type: BsTabPageComponent, selector: "bs-tab-page", inputs: { disabled: "disabled" }, queries: [{ propertyName: "headerTemplate", first: true, predicate: TemplateRef, descendants: true }], ngImport: i0, template: "<ng-content *ngIf=\"tabControl.activeTab === this\"></ng-content>", styles: [""], directives: [{ type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsTabPageComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'bs-tab-page',
                    templateUrl: './tab-page.component.html',
                    styleUrls: ['./tab-page.component.scss']
                }]
        }], ctorParameters: function () { return [{ type: BsTabControlComponent }]; }, propDecorators: { headerTemplate: [{
                type: ContentChild,
                args: [TemplateRef]
            }], disabled: [{
                type: Input
            }] } });

class BsTabControlComponent {
    constructor() {
        this.activeTab = null;
    }
    ngOnInit() {
    }
    setActiveTab(tab) {
        if (!tab.disabled) {
            this.activeTab = tab;
        }
        return false;
    }
}
BsTabControlComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsTabControlComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsTabControlComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.2.0", type: BsTabControlComponent, selector: "bs-tab-control", queries: [{ propertyName: "tabPages", predicate: BsTabPageComponent }], ngImport: i0, template: "<ul class=\"nav nav-tabs\">\n  <ng-container *ngFor=\"let tab of tabPages\">\n    <li class=\"nav-item\" (click)=\"setActiveTab(tab)\" *ngIf=\"!!tab.headerTemplate\">\n      <a class=\"nav-link\" [class.active]=\"activeTab === tab\" [class.disabled]=\"tab.disabled\" [attr.aria-current]=\"activeTab === tab ? 'page' : null\" [attr.aria-disabled]=\"tab.disabled\" href=\"\">\n        <ng-container [ngTemplateOutlet]=\"tab.headerTemplate\"></ng-container>\n      </a>\n    </li>\n  </ng-container>\n</ul>\n<!-- <div class=\"container\"> -->\n  <ng-content></ng-content>\n<!-- </div> -->", styles: [""], directives: [{ type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { type: i1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsTabControlComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'bs-tab-control',
                    templateUrl: './tab-control.component.html',
                    styleUrls: ['./tab-control.component.scss']
                }]
        }], ctorParameters: function () { return []; }, propDecorators: { tabPages: [{
                type: ContentChildren,
                args: [BsTabPageComponent]
            }] } });

class BsTabControlModule {
}
BsTabControlModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsTabControlModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsTabControlModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsTabControlModule, declarations: [BsTabControlComponent,
        BsTabPageComponent], imports: [CommonModule], exports: [BsTabControlComponent,
        BsTabPageComponent] });
BsTabControlModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsTabControlModule, imports: [[
            CommonModule
        ]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: BsTabControlModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        BsTabControlComponent,
                        BsTabPageComponent,
                    ],
                    imports: [
                        CommonModule
                    ],
                    exports: [
                        BsTabControlComponent,
                        BsTabPageComponent,
                    ]
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { BsAccordionComponent, BsAccordionModule, BsAccordionTabComponent, BsAccordionTabHeaderComponent, BsAlertCloseComponent, BsAlertComponent, BsAlertModule, BsCalendarComponent, BsCalendarModule, BsCardComponent, BsCardHeaderComponent, BsCardModule, BsListGroupComponent, BsListGroupItemComponent, BsListGroupModule, BsNavbarComponent, BsNavbarDropdownComponent, BsNavbarItemComponent, BsNavbarModule, BsNavbarNavComponent, BsTabControlComponent, BsTabControlModule, BsTabPageComponent, Color };
//# sourceMappingURL=mintplayer-ng-bootstrap.js.map
